## astrodendro 0.3.1+ds

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/* _generated

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/astrodendro.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/astrodendro.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/astrodendro"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/astrodendro"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## astrodendro 0.2.0+dfsg1

=== debian/changelog ===
astrodendro (0.2.0+dfsg1-2) unstable; urgency=medium

  * Update package to use debhelper-compat (= 13)
  * debian/control:
    + Document Rules-Requires-Root field as no
    + Update Vcs-* fields to use salsa.debian.org
    + Add python3-matplotlib as package dependency
  * Bump package Standards-Version to 4.5.1:
    + debian/copyright: Update Format field to use its https form
  * debian/watch:
    + Bump file Standard version to use 4
    + Update uri to use its secure form
  * Add autopkgtest suite
  * Add debian/upstream/metadata. Taken from Debian Janitor Merge Request:
    https://salsa.debian.org/debian-astro-team/python-astrodendro/-/merge_requests/1/diffs
  * debian/copyright: Add missing explanation for repacked upstream
    tarball
  * debian/patches: Document Forwarded field

 -- Josue Ortega <josue@debian.org>  Fri, 01 Jan 2021 20:03:50 -0600

astrodendro (0.2.0+dfsg1-1) unstable; urgency=low

  * Initial release. (Closes: #855551)

 -- Josue Ortega <josue@debian.org>  Mon, 17 Apr 2017 19:18:52 -0600

=== debian/control ===
Source: astrodendro
Section: python
Priority: optional
Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Josue Ortega <josue@debian.org>
Build-Depends: debhelper-compat ( = 13),
 dh-python,
 python3-all,
 python3-setuptools,
 python3-numpy (>= 1.4.1),
 python3-astropy (>= 0.2.0),
 python3-h5py (>= 0.2.0)
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: http://www.dendrograms.org/
Vcs-Git: https://salsa.debian.org/debian-astro-team/python-astrodendro.git
Vcs-Browser: https://salsa.debian.org/debian-astro-team/python-astrodendro

Package: python3-astrodendro
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends},
 python3-numpy (>= 1.4.1),
 python3-astropy (>= 0.2.0),
 python3-h5py (>= 0.2.0),
 python3-matplotlib
Description: Astronomical Dendrograms in Python 3
 Python 3 module is to provide an easy way to compute dendrograms of observed or
 simulated Astronomical data in Python 3.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export PYBUILD_NAME=astrodendro

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
#IGNORE UPSTREAM TESTS

=== debian/tests/control ===
Test-Command: python3 -c "from astrodendro.scatter import Scatter"
Restrictions: superficial

=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg\.\d+$//,uversionmangle=s/(rc|a|b|c)/~$1/ \
  https://pypi.debian.net/astrodendro/astrodendro-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz))) \
    debian debian/repack

## astrodendro 0.3.1+ds

=== debian/changelog ===
astrodendro (0.3.1+ds-3) unstable; urgency=medium

  * Team upload.
  * Add build-dep on python3-setuptools-scm to avoid generating '0.0.0' ver:
    /usr/lib/python3/dist-packages/astrodendro-0.0.0.dist-info/*

  [ Phil Wyett ]
  * Remove no longer needed 'Rules-Requires-Root: no'.
  * d/watch: Convert to version 5 and target GitHub.
  * d/copyright: Remove 'Files: astrodendro/six.py', no longer in source.

 -- Alexandre Detiste <tchet@debian.org>  Fri, 07 Nov 2025 07:52:24 +0100

astrodendro (0.3.1+ds-2) unstable; urgency=medium

  * Fix d/tests/control syntax

 -- Ole Streicher <olebole@debian.org>  Tue, 11 Mar 2025 07:33:40 +0100

astrodendro (0.3.1+ds-1) unstable; urgency=medium

  * Re-remove large test data files
  * Enable build time and full runtime tests
  * Don't run tests that don't have data

 -- Ole Streicher <olebole@debian.org>  Mon, 10 Mar 2025 16:38:53 +0100

astrodendro (0.3.1-1) unstable; urgency=medium

  * Remove excluded file list for uscan
  * New upstream version 0.3.1
  * Remove patches that are applied upstream
  * Use Expat as license shortname in d/copyright
  * Remove outdated version restrictions in d/control
  * Push Standards-Version to 4.7.2, no changes needed
  * Build-Depend on pybuild-plugin-pyproject
  * Put myself on uploaders
  * Adjust Salsa project name

 -- Ole Streicher <olebole@debian.org>  Sun, 09 Mar 2025 13:34:45 +0100

astrodendro (0.2.0+dfsg1-4) unstable; urgency=medium

  * Team upload.
  * Fix compability to numpy 1.24 (Closes: #1027188)

 -- Ole Streicher <olebole@debian.org>  Tue, 17 Jan 2023 09:23:28 +0100

astrodendro (0.2.0+dfsg1-3) unstable; urgency=medium

  * Add debian/patches/001-python3.10-support.patch. (Closes: #1009091).
  * debian/copyright: Update copyright year for debian/*.
  * Bump Standards-Version to 4.6.0. No changes required.

 -- Josue Ortega <josue@debian.org>  Sun, 10 Apr 2022 14:52:10 -0600

=== debian/control ===
Source: astrodendro
Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Josue Ortega <josue@debian.org>,
           Ole Streicher <olebole@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat ( = 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-all,
               python3-astropy,
               python3-h5py,
               python3-matplotlib <!nocheck>,
               python3-numpy,
               python3-pytest <!nocheck>,
               python3-setuptools,
               python3-setuptools-scm,
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/debian-astro-team/astrodendro
Vcs-Git: https://salsa.debian.org/debian-astro-team/astrodendro.git
Homepage: http://www.dendrograms.org/

Package: python3-astrodendro
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-numpy,
         python3-astropy,
         python3-h5py,
         python3-matplotlib
Description: Astronomical Dendrograms in Python 3
 Python 3 module is to provide an easy way to compute dendrograms of observed or
 simulated Astronomical data in Python 3.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export PYBUILD_NAME=astrodendro

%:
	dh $@ --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: cd $AUTOPKGTEST_TMP; python3 -m pytest --pyargs astrodendro
Depends: @, python3-pytest

=== debian/watch ===
Version: 5
Template: Github
Owner: dendrograms
Project: astrodendro
Dversion-Mangle: s/\+ds\d*$//
Repacksuffix: +ds
